Debian Bug report logs - #654116
RFH: screen -- terminal multiplexor with VT100/ANSI terminal emulation

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Axel Beckert <abe@debian.org>

Date: Mon, 2 Jan 2012 01:27:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, debian-devel@lists.debian.org, hesso@pool.math.tu-berlin.de, bpkroth@gmail.com, kirkland@ubuntu.com, wnpp@debian.org:
Bug#654116; Package wnpp. (Mon, 02 Jan 2012 01:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, debian-devel@lists.debian.org, hesso@pool.math.tu-berlin.de, bpkroth@gmail.com, kirkland@ubuntu.com, wnpp@debian.org. (Mon, 02 Jan 2012 01:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFH: screen -- terminal multiplexor with VT100/ANSI terminal emulation
Date: Mon, 02 Jan 2012 02:25:49 +0100
Package: wnpp
Severity: normal

Hi,

Debian's screen package needs help with bug triaging, wheezy migration
and upstream lobbying.

Jan took over Debian's screen package in 2007 and was a very active and
talented screen package maintainer. Unfortunately he no more has enough
time[1] to maintain GNU Screen in Debian.

  [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=641867#20

Because I still prefer screen over tmux, I jumped in as co-maintainer a
few months ago and with the help of Brian P Kroth I managed to upload[2]
an upstream git snapshot to Debian Experimental which fixed especially
the tons of bugs already fixed by upstream. I also created a git
repository for Debian's screen packaging at [3].

  [2] http://packages.qa.debian.org/s/screen/news/20111009T025041Z.html
  [3] http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git

Nevertheless I know I won't be able to maintain screen alone until Jan
has time for screen again. So screen definitely needs more (co-)
maintainers.

Additionally there are a few issues where I'd be happy to have other
people to dig into, too, especially:

* http://bugs.debian.org/644788 -- screen 4.1.0 can't attach to a
  running or detached screen 4.0.3 session
* http://bugs.debian.org/649240 -- release-notes: Upcoming upgrade
  issues with GNU Screen for Wheezy

Both these bug reports are defacto about the same issue, the first is
the technical issue itself while the second is about how to handle the
implications for screen's wheezy migration.

And both bug reports are somehow also about lobbying at upstream to fix
this issue upstream instead just for Debian and derivate distributions
like Ubuntu. Unfortunately a first reply[4] from upstream was a "won't
fix".

  [4] https://lists.gnu.org/archive/html/screen-devel/2011-11/msg00020.html

                Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654116; Package wnpp. (Mon, 02 Jan 2012 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Jan 2012 01:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 654116@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Axel Beckert <abe@debian.org>
Cc: 654116@bugs.debian.org
Subject: Re: Bug#654116: RFH: screen -- terminal multiplexor with VT100/ANSI terminal emulation
Date: Mon, 02 Jan 2012 12:48:13 +1100
Axel Beckert <abe@debian.org> writes:

> Because I still prefer screen over tmux, I jumped in as co-maintainer a
> few months ago and with the help of Brian P Kroth I managed to upload[2]
> an upstream git snapshot to Debian Experimental which fixed especially
> the tons of bugs already fixed by upstream. I also created a git
> repository for Debian's screen packaging at [3].

I am unable to assist, but I want to express my thanks at injecting some
vitality into this important package.

Congratulations on achieving progress with GNU Screen in Debian, and I
wish you good fortune in getting some ongoing assistance with it.

-- 
 \         “If you can do no good, at least do no harm.” —_Slapstick_, |
  `\                                                     Kurt Vonnegut |
_o__)                                                                  |
Ben Finney <ben@benfinney.id.au>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654116; Package wnpp. (Tue, 24 Jan 2012 19:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Apollonio <francesco@ldlabs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Jan 2012 19:45:10 GMT) Full text and rfc822 format available.

Message #15 received at 654116@bugs.debian.org (full text, mbox):

From: Francesco Apollonio <francesco@ldlabs.org>
To: 654116@bugs.debian.org
Date: Tue, 24 Jan 2012 20:40:15 +0100
Hi,

I'm interested to help the packaging of screen, if you still need help
please contact me.

Francesco




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654116; Package wnpp. (Fri, 27 Jan 2012 13:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "L. Alberto Giménez" <agimenez@sysvalve.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 27 Jan 2012 13:12:10 GMT) Full text and rfc822 format available.

Message #20 received at 654116@bugs.debian.org (full text, mbox):

From: "L. Alberto Giménez" <agimenez@sysvalve.es>
To: 654116@bugs.debian.org
Subject: RFH: screen -- terminal multiplexor with VT100/ANSI terminal emulation
Date: Fri, 27 Jan 2012 13:08:46 +0100
Hi,

I use this package quite often, but I haven't looked into the code but 
if you still need help and Francesco's help is not enough, feel free to 
contact me.


Regards,
-- 
L. Alberto Giménez




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654116; Package wnpp. (Wed, 01 Feb 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey Vandenborne <vandenbornejeffrey@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Feb 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 654116@bugs.debian.org (full text, mbox):

From: Jeffrey Vandenborne <vandenbornejeffrey@gmail.com>
To: 654116@bugs.debian.org
Subject: RFH: screen -- terminal multiplexor with VT100/ANSI terminal emulation
Date: Wed, 01 Feb 2012 20:10:03 +0100
Hi,

I'm very interested in contributing if you still need help so contact me 
anytime if you like.

Best regards,
-- 
Jeffrey Vandenborne




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654116; Package wnpp. (Tue, 07 Feb 2012 12:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Feb 2012 12:57:16 GMT) Full text and rfc822 format available.

Message #30 received at 654116@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Jeffrey Vandenborne <vandenbornejeffrey@gmail.com>, L. Alberto Giménez <agimenez@sysvalve.es>, Francesco Apollonio <francesco@ldlabs.org>
Cc: 654116@bugs.debian.org
Subject: Re: Bug#654116: RFH: screen -- terminal multiplexor with VT100/ANSI terminal emulation
Date: Tue, 7 Feb 2012 13:54:13 +0100
Hi together,

sorry for the late reply, I wasn't subscribed to this RFH bug report
(but I am now :-) and as it's not a bug report against the screen
package but the wnpp pseudo package, I didn't receive your replies,
just found them by accident yesterday (and Francesco pointed me to
them today, too :-).

Francesco Apollonio wrote:
> I'm interested to help the packaging of screen, if you still need help
> please contact me.

L. Alberto Giménez wrote:
> I use this package quite often, but I haven't looked into the code
> but if you still need help and Francesco's help is not enough, feel
> free to contact me.

Jeffrey Vandenborne wrote:
> I'm very interested in contributing if you still need help so
> contact me anytime if you like.

Since it is not so obvious, here are some facts about the current
state of the package:

The package in Debian Experimental represents the current state.
Please use that version when looking at code or trying to reproduce
bugs.

It uses the "3.0 (quilt)" source format and should be uptodate with
regards to Standards-Version, etc. and also should have just
minor Lintian warnings. See also my blog posting about it:
http://noone.org/blog/English/Computer/Debian/Git%20Snapshot%20of%20GNU%20Screen%20in%20Debian%20Experimental.futile

So please ignore what's currently in Debian Sid. :-)

Unfortunately http://packages.qa.debian.org/s/screen.html shows mostly
meta-information about the package in Sid, so most information there
is outdated with regards to packaging.

The only reason why I haven't uploaded the current package to Sid is
http://bugs.debian.org/644788 -- but happily Upstream works on that
issue already, see
https://lists.gnu.org/archive/html/screen-devel/2012-02/msg00004.html
:-)

So for now we don't need to invest much time in writing DebConf
templates informing the user about the incompibility and the
possibility to use /tmp/screen-4.0.3-bin or so instead which would be
copied there by the preinst script. (This kind of work may become
important again if upstream doesn't manage to get 4.1.0 clients talk
with 4.0.3 servers.)

See http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git for
the current state of packaging and
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=screen;dist=experimental
for the bugs which are still open in Debian Experimental.

To stay uptodate what the others do with regards to bug reports, it's
best to subscribe to screen's "package mailinglist" (i.e. receive all
mails the package maintainer would receive, including bug report
stuff) at the bottom of http://packages.qa.debian.org/s/screen.html

With regards to what could be done to help screen in Debian (and to
some degree also in downstream distributions like Ubuntu):

* Some further bug triage would be good.
  - Checking if bugs open in Experimental are also still present in
    Experimental. I suspect that I still haven't found all of them. :-)
  - Checking if the attached patches from bugs still apply or maybe
    even already have been applied by Upstream.
  - Tagging bugs where appropriate, see
    http://www.debian.org/Bugs/Developer#tags for the available tags
    and their meaning.
  - Checking which bugs are (or should be) tagged "upstream" (but not
    fixed-upstream or fixed in Experimental :-), but are not listed
    on https://savannah.gnu.org/bugs/?group=screen (only 50 bugs per
    page, use the search function) 
    -> Create a bug report in Upstream's bug tracker, refer to the
       Debian bug report in the report's text.
    -> Set the forwarded address of the Debian bug report to the URL
       of the Upstream bug report.

* If you have some experience with C, check if there are bugs where
  you think you can write a fix for.

* 4.1.0 doesn't seem to work properly on at least kfreebsd-i386 (but
  likely the same problem on kfreebsd-amd64) at a first glance.
  I though haven't investigated further yet and a bug report still has
  to be written.

* If you have a Launchpad account another good thing would be to look
  through the bugs at https://bugs.launchpad.net/ubuntu/+source/screen
  and see which have corresponding bugs in Debian which are not yet
  linked in Launchpad and link them.
  - If the corresponding Debian bug report is fixed in Experimental,
    or the bug is not Ubuntu-specific and fixed by the version in
    Debian Experimental the bug report in Ubuntu can be put at least
    in the state fix-committed, maybe with a comment that it's fixed
    in Debian Experimental.

I likely have forgotten something where help could be needed, too, so
if you think that's the case, feel free to say so. :-)

Thanks for your interest in helping with Debian's screen package!

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654116; Package wnpp. (Thu, 14 Jun 2012 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean DuBois <duboissp@mail.uc.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Jun 2012 17:42:02 GMT) Full text and rfc822 format available.

Message #35 received at 654116@bugs.debian.org (full text, mbox):

From: Sean DuBois <duboissp@mail.uc.edu>
To: <654116@bugs.debian.org>
Subject: Would love to help screen also!
Date: Thu, 14 Jun 2012 13:22:50 -0400
Hi I am new to Debian, but I am looking for a way to start out and
learn the ropes. I am a C developer so I may be able to help with some
patching. 

I am going to look through the instructions Axel sent out and
try to get my feet wet. Is there anything Debian related I should be
getting? As far as I am aware you really don't need to even worry about
any accounts until you have been around for 6 months?





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654116; Package wnpp. (Thu, 14 Jun 2012 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Jun 2012 19:45:06 GMT) Full text and rfc822 format available.

Message #40 received at 654116@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Sean DuBois <duboissp@mail.uc.edu>, 654116@bugs.debian.org
Subject: Re: Bug#654116: Would love to help screen also!
Date: Thu, 14 Jun 2012 21:40:29 +0200
Hi Sean,

Sean DuBois wrote:
> Hi I am new to Debian, but I am looking for a way to start out and
> learn the ropes.

Then welcome! Feel free to ask me questions by personal mail. Or on
IRC. Beyond other networks (Freenode, IRCNet, etc.), I'm on
irc.debian.org (aka OFTC) as XTaran.

> I am a C developer so I may be able to help with some patching.

Great. Because that's not my strength. :-)

> I am going to look through the instructions Axel sent out and
> try to get my feet wet.

A current itch where some more C knowledge would be of help is that
the patch from http://bugs.debian.org/600246 introduces a regression
as reported at http://bugs.debian.org/677512 -- I currently have no
idea how to change the patch in bug #600246 so that the regression
doesn't show up.

The currently most annoying issue is still
http://bugs.debian.org/644788 despite it's marked as solved in the bug
tracking system -- because it's just "solved" by informing the user
about the issue. Screen 4.1.0 and 4.0.3 speak a different protocol
version and the handshake between a 4.1.0 client and 4.0.3 seems to
end in a deadlock. Definitely non-trivial. Any patch for that will
likely be accepted upstream and cause the release of the first 4.1.0
beta release. ;-)

With regards to http://bugs.debian.org/677227 -- There's no need to
have deeper look at this. It's already solved in my head. Just needs
to written down and uploaded. Will fix it latest this weekend, likely
earlier. It's mostly a kfreebsd specific addition to the packaging.
:-)

> Is there anything Debian related I should be
> getting? As far as I am aware you really don't need to even worry about
> any accounts until you have been around for 6 months?

With git stuff contributing seems even easier. You pull from the
debian repo, commit locally, push your changes somewhere else
(gitorious, github, your own git server, etc.) and someone with write
access to the official packaging git repo can pull it from your repo
and push the changes to the official one.

How to start playing around with the source package:

Install build-essential, git, pristine-tar, quilt, lintian and
devscripts.

Clone the git repo at
http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git

Make sure you also get the upstream and pristine-tar branches.

Have a look at how to use pristine-tar to extract the .orig.tar.gz
(something like "pristine-tar checkout
../screen_4.1.0~20120320gitdb59704.orig.tar.gz" inside the git
repository)

Use "quilt push -a" and "quilt pop -a" to apply and
unapply all patches in debian/patches/. Use the same commands without
"-a" for single step patch (un)applying.

If you want to change a patch, make it the topmost patch. If you want
to make the patch change a file it already modifies, edit that file
and run "quilt refresh" to refresh that patch. To add new files to a
patch (before editing them!) use "quilt add".

Use e.g. "debuild -uc -us" to build both, source and binary packages,
use "debuild -uc -us -b" to build only the binary package (i.e. to
just test if some patch does the right thing).

I think those commands should suffice to get the feets wet with the
package. :-)

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654116; Package wnpp. (Sun, 02 Jun 2013 10:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Brandstatter <kevin@kbrandstatter.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Jun 2013 10:51:09 GMT) Full text and rfc822 format available.

Message #45 received at 654116@bugs.debian.org (full text, mbox):

From: Kevin Brandstatter <kevin@kbrandstatter.com>
To: 654116@bugs.debian.org
Subject: Re: Bug#654116: RFH: screen -- terminal multiplexor with VT100/ANSI terminal emulation
Date: Sun, 02 Jun 2013 12:50:47 +0200
[Message part 1 (text/plain, inline)]
Hello,

I'm not sure if help is still needed, but if i could be of any
assistance I will be. I'm try to get more involved in debian, and since
screen is an application i frequently use, i would enjoy working on it.

Let me know if my help is needed/wanted

-Kevin

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:04:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.